Subject: RE: IPv6 Prefix Deprecation Problem

From: "Powell, Ken" <[email-masked]>
Date: Mon, 5 Feb 2001 11:21:49 -0500

> -----Original Message-----
> From: T.J. Kniveton [mailto:[email-masked]]
> Sent: Friday, February 02, 2001 2:58 PM
> To: Matt Crawford
> Cc: [email-masked]; [email-masked]
> Subject: Re: IPv6 Prefix Deprecation Problem 
> 
> Some layer above IP is choosing the source address -- either the
> application, or an upper network layer on its behalf. This 
> layer "should"
> [2462] choose a prefix that has a positive preferred lifetime 
> remaining when
> it opens a connection. Perhaps that "should" should change to "must".

There are other considerations that go into source address
selection, some of which have a worse impact than selecting
an address with preferred lifetime of zero. See Richard Draves'
draft-ietf-ipngwg-default-addr-select-02 for more details.

> 
> > 
> > Also, doesn't the node's stack need to allow for the 
> possibility that
> > when it is powered back on, it is connected to a different 
> link entirely?
> 
> Good point. I didn't even get into the problems with mobile 
> nodes. Imagine,
> for instance the following twist:
> 
> The mobile node had one global address based on its home 
> prefix. It was
> turned off on July 31st. The mobile's Home Network was renumbered, as
> described in RFC 2461, between August 1st and September 1st. 
> Mappings from
> the old prefix to the new prefix were removed from routers on 
> September
> 15th. The old prefix is dead.
> 
> Now the mobile node is turned on, on September 25th, in a 
> visited network.
> It starts receiving router advertisements for the local link. 
> It configures
> a link-local care-of address. It wants to contact its Home 
> Agent to register
> a binding for its care-of address.
> 
> "I can't contact my home agent."
> "I can't contact any routers on my home network to do Home 
> Agent Discovery."
> "My cached home address has not expired...but my home network has
> disappeared."
> "Help!"

I've had this same concern. We discussed it on the mobility list
last year, and as Mattias said, the procedure for initializing a
mobile node is beyond the scope of the Mobile IPv6 draft. We did
however discuss some possible initialization techniques to
verify that the mobile IPv6 protocol had sufficient features
to support initialization, particularly where stateless address
autoconfiguration is used on the home network.

Appendix A of draft-ietf-mobileip-ipv6-13 describes one of
these techniques. It starts by retrieving the home agent anycast
address from DNS. One problem with the appendix A approach 
is that it does not account for IPsec. We need a procedure that
describes how to establish the security associations between the
mobile node and the home agent in addition to initializing
home addresses and creating bindings. Perhaps something that
uses a AAA server? 

> 
> Hmmm. This could be a problem. I am writing a draft to 
> address possible
> courses of action at this point..unless anyone can provide a 
> good, clear,
> obvious answer.

I'm looking forward to seeing your draft.

Ken
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------